# script to create distribution archives
#
# Author:
#	JM. Philippe	v0.1 - 10/02/2007
#
# Copyright Jean-Michel Philippe (c) 2007
#   <http://philipjm.free.fr/blog/>
#
# This is open source software released under the GPL license.
# The full text of this license is found in the file 'LICENSE',
# included with this source code package.

# variables
NAME='nepynthes'
EXCLUDE_DIRS='--exclude=dist'
EXCLUDE_FILES='--exclude=.* --exclude=*.pyc --exclude=*~ --exclude=MANIFEST'

# initialisations
TMP_FILE="maketar-temp-file.tar.bz2"
PROJECT_DIR=${0/maketar.sh}
cd $PROJECT_DIR
VERSION=$(python nepynthes.py -V)
ARCHIVE_FILE=$NAME-$VERSION

# create CVS tarball
echo "making the distribution tarball..."
if ! [ -d dist ]; then
	mkdir dist
fi
cd ..
eval tar cjf $TMP_FILE $EXCLUDE_DIRS $EXCLUDE_FILES $NAME
mv $TMP_FILE $NAME/dist/$ARCHIVE_FILE.tar.bz2
